### Method

# Gtk RecentManager lookup_item

#### Declaration [src]

    GtkRecentInfo*
    gtk_recent_manager_lookup_item (
      GtkRecentManager* manager,
      const char* uri,
      GError** error
    )

#### Description [src]

Searches for a URI inside the recently used resources list, and returns a `GtkRecentInfo` containing information about the resource like its MIME type, or its display name.

#### Parameters

`uri` | `const char*`
| A URI.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GtkRecentInfo`
| A `GtkRecentInfo` containing information about the resource pointed by `uri`, or `NULL` if the URI was not registered in the recently used resources list. Free with gtk_recent_info_unref().
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.